Package com.io7m.idstore.server.controller.command_exec

# Class IdCommandExecutionFailure

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.io7m.idstore.error_codes.IdException
com.io7m.idstore.server.controller.command_exec.IdCommandExecutionFailure

All Implemented Interfaces:
  `com.io7m.seltzer.api.SStructuredErrorExceptionType<IdErrorCode>`, `com.io7m.seltzer.api.SStructuredErrorType<IdErrorCode>`, `Serializable`

public final class IdCommandExecutionFailure extends IdException
A failure to execute a command.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdCommandExecutionFailure(String message, IdErrorCode inErrorCode, Map<String,String> inAttributes, Optional<String> inRemediatingAction, UUID inRequestId, int inHttpStatusCode)`
  Construct an exception.
  `IdCommandExecutionFailure(String message, Throwable cause, IdErrorCode inErrorCode, Map<String,String> inAttributes, Optional<String> inRemediatingAction, UUID inRequestId, int inHttpStatusCode)`
  Construct an exception.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `httpStatusCode()`
  `UUID`
  `requestId()`

  ### Methods inherited from class com.io7m.idstore.error_codes.IdException

  `attributes, errorCode, exception, remediatingAction`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.io7m.seltzer.api.SStructuredErrorExceptionType

  `getMessage, message`

- ## Constructor Details

  - ### IdCommandExecutionFailure

    public IdCommandExecutionFailure(String message, IdErrorCode inErrorCode, Map<String,String> inAttributes, Optional<String> inRemediatingAction, UUID inRequestId, int inHttpStatusCode)
    Construct an exception.
    Parameters:
      `message` - The message
      `inErrorCode` - The error code
      `inAttributes` - The error attributes
      `inRemediatingAction` - The remediating action, if any
      `inRequestId` - The request ID
      `inHttpStatusCode` - The HTTP status code

  - ### IdCommandExecutionFailure

    public IdCommandExecutionFailure(String message, Throwable cause, IdErrorCode inErrorCode, Map<String,String> inAttributes, Optional<String> inRemediatingAction, UUID inRequestId, int inHttpStatusCode)
    Construct an exception.
    Parameters:
      `message` - The message
      `cause` - The cause
      `inErrorCode` - The error code
      `inAttributes` - The error attributes
      `inRemediatingAction` - The remediating action, if any
      `inRequestId` - The request ID
      `inHttpStatusCode` - The HTTP status code

- ## Method Details

  - ### requestId

    public UUID requestId()
    Returns:
      The request ID

  - ### httpStatusCode

    public int httpStatusCode()
    Returns:
      The HTTP status code